ALTER TABLE SMS_TEMPLATE
ADD SUBJECT VARCHAR2(100 CHAR);

DROP VIEW V_SMS_TEMPLATE;

CREATE OR REPLACE VIEW V_SMS_TEMPLATE AS
SELECT ST.ID_SMS_TEMPLATE, ST.NAME, ST.VALUE, ST.RECEIVER, ST.SUBJECT, ST.CONTENT, ST.TYPE, ST.NNLOCATION_ID, ST.USER_SELECTABLE, ST.DATE_CHANGED, ST.USER_CHANGED, 
ST.DATE_CREATED, ST.USER_CREATED, ST.ACT, ST.ID_TIMER_DATA,
STT.OPIS AS TYPE_OPIS, STT.INTERNI_OPIS AS TYPE_INTERNI_OPIS
FROM SMS_TEMPLATE ST
LEFT OUTER JOIN NNSMS_TEMPLATE_TYPE STT ON ST.TYPE = STT.SIFRA;

ALTER TABLE SMS
ADD SUBJECT VARCHAR2(100 CHAR);

DROP VIEW V_SMS;

CREATE OR REPLACE VIEW V_SMS
AS (
SELECT S.ID, S.RECEIVER, S.SUBJECT, S.CONTENT, S.STATUS, S.SMS_FILE, S.DATE_CREATED, S.USER_CREATED, S.STATUS_MESSAGE, S.NNLOCATION_ID,
K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.MANAGER AS KUPCI_MANAGER, K.VRSTA AS KUPCI_VRSTA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM SMS S
LEFT OUTER JOIN (SELECT ID_KUPCA, ID_SMS, NPISMO, RANK() OVER (PARTITION BY ID_SMS ORDER BY ID_OPOMINI ASC) RNK FROM OPOMINI) O ON (O.ID_SMS = S.ID AND O.RNK = 1 AND O.NPISMO = 'S')
LEFT OUTER JOIN KUPCI K ON O.ID_KUPCA = K.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2305, SYSDATE, '5.5', 2225, 'SMS subject')
;
